Subject: pre-v2.34.0-rc0 regressions: t7900-maintenance.sh broken due to 'systemd-analyze' (was: What's cooking in git.git (Oct 2021, #06; Mon, 25))

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 26 Oct 2021 13:02:15 +0200

On Mon, Oct 25 2021, Junio C Hamano wrote:

[Spinning off some "before rc0" threads]

> The fifteenth batch of topics are in 'master'.  I expect that this
> is more-or-less what we can expect in the -rc0, unless there is a
> hotfix to what's already merged.

I reported a breakage with $subject in [1], which I see Lénaïc tried to
fix in [2], but which I managed to miss. Sorry about that.

On that machine (gcc135, on the GCC farm) it's still breaking, relevant
trace output:
    
    ++ printf '%s\n' 'prerequisite SYSTEMD_ANALYZE ok'
    prerequisite SYSTEMD_ANALYZE ok
    ++ return 0
    ++ test_set_prereq SYSTEMD_ANALYZE
    ++ test -n ''
    ++ case "$1" in
    ++ satisfied_prereq=' POSIXPERM BSLASHPSPEC EXECKEEPSPID REFFILES COLUMNS_CAN_BE_1 PERL PTHREADS PYTHON GETTEXT XMLLINT SYSTEMD_ANALYZE '
    ++ lazily_tested_prereq='EXPENSIVE XMLLINT SYSTEMD_ANALYZE '
    ++ total_prereq=1
    ++ case "$satisfied_prereq" in
    ++ satisfied_this_prereq=t
    ++ case "$satisfied_this_prereq,$negative_prereq" in
    ++ ok_prereq=1
    ++ test 1 = 1
    ++ systemd-analyze verify systemd/user/git-maintenance@.service
    Failed to open /dev/tty0: Permission denied
    Failed to load systemd/user/git-maintenance@.service: Invalid argument
    error: last command exited with $?=1
    not ok 34 - start and stop Linux/systemd maintenance

I haven't looked into it, presumably easy-ish to fix, just moving on now
and checking for other regressions...

1. https://lore.kernel.org/git/[email-masked]/#t
2. https://lore.kernel.org/git/[email-masked]/